Subject: Re: bug#7382: 24.0.50; lucid menu bar is all blank

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 12 Nov 2010 23:44:39 +0900

Jan Djärv <[email-masked]> wrote:
> Do not remove information from emacs-report-bug.
> Did you try from emacs -Q?

Yes, I tried it of course.

> Try unsetting XMODIFIERS before starting Emacs.

Its value is "@im=ibus".  Unsetting it does not help.

> You compiled --without-xim but it seems you are using an input
> manager, was that on purpose?

That's on purpose.  I use sj3-egg[1], an ELisp package, that's
an interface to the sj3 server, for writing Japanese text.

> Are you using Compiz, metacity or something else?

I use metacity.

Thanks.
Regards,

[1] ftp://ftp.jpl.org/pub/elisp/sj3-egg-0.8.2.tar.gz

> Katsumi Yamaoka skrev 2010-11-12 09.17:
>> I don't recall it's been happening since when, but there's no text
>> in lucid menu bar.  It may be due to Fedora 14 to which I upgraded
>> recently.  Only workaround I know is to set LC_ALL C when launching
>> Emacs.  Any idea?

>> Thanks.

>> In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
>>   of 2010-11-12 on pastis
>> Windowing system distributor `Fedora Project', version 11.0.10901000
>> configured using `configure  '--verbose' '--with-x-toolkit=lucid' '--without-xim''

>> Important settings:
>>    value of $LC_ALL: nil
>>    value of $LC_COLLATE: C
>>    value of $LC_CTYPE: ja_JP.UTF-8
>>    value of $LC_MESSAGES: C
>>    value of $LC_MONETARY: C
>>    value of $LC_NUMERIC: C
>>    value of $LC_TIME: C
>>    value of $LANG: C
>>    value of $XMODIFIERS: @im=ibus
>>    locale-coding-system: utf-8-unix
>>    default enable-multibyte-characters: t